### Method

# Gio Settings list_children

#### Declaration [src]

    gchar**
    g_settings_list_children (
      GSettings* settings
    )

#### Description [src]

Gets the list of children on `settings`.

The list is exactly the list of strings for which it is not an error to call `g_settings_get_child()`.

There is little reason to call this function from ‘normal’ code, since you should already know what children are in your schema. This function may still be useful there for introspection reasons, however.

You should free the return value with `g_strfreev()` when you are done with it.

#### Return value

Type: An array of `utf8`

A list of the children on `settings`, in no defined order.

The array is `NULL`-terminated.
The caller of the method takes ownership of the returned data, and is responsible for freeing it.
Each element is a NUL terminated UTF-8 string.